Bug 478900 - Assertion 'pthread_setspecific(t->key, userdata) == 0'
Assertion 'pthread_setspecific(t->key, userdata) == 0'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-05 16:32 EST by Mary Ellen Foster
Modified: 2009-08-17 21:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 22:07:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2009-01-05 16:32:53 EST
Description of problem:
Okay, this is a bit complicated to describe. My laptop is set up as follows: pulseaudio is installed, but in the KDE audio system I've selected the ALSA device instead of pulseaudio as default because of bug 470568.

If I have amaroK active but paused and then visit youtube (using the Adobe flash-plugin), I get picture but no sound from the youtube video and there's a continuous stream of the following on the console where I started Firefox from:

ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused


Eventually, firefox itself crashed with the following errors:

E: thread-posix.c: Assertion 'pthread_setspecific(t->key, userdata) == 0' failed at pulsecore/thread-posix.c:200, function pa_tls_set(). Aborting.
/usr/lib/firefox-3.0.5/run-mozilla.sh: line 131: 26701 Aborted                 "$prog" ${1+"$@"}


Version-Release number of selected component (if applicable):
pulseaudio-0.9.13-6.fc10.i386
kdemultimedia-4.1.85-2.fc10.i386
amarok-2.0-2.fc10.i386
firefox-3.0.5-1.fc10.i386
flash-plugin-10.0.15.3-release.i386

How reproducible:
Every time (on two different computers)


Additional info:

The KDE packages above are from kde-redhat -- they're the KDE 4.2 beta packages that will eventually make it into Fedora 10. I doubt that (or the fact that it's the Adobe flash plugin) makes a difference to the bug described here, but if necessary I can re-test in other configurations.
Comment 1 Lennart Poettering 2009-07-29 22:07:19 EDT
We did some (minor) changes in the TLS code in F11. I am pretty sure this is fixed now, and will close this bug now. If it isn't fixed, feel free to reopen.
Comment 2 Peter Teoh 2009-08-17 21:43:05 EDT
(In reply to comment #1)
> We did some (minor) changes in the TLS code in F11. I am pretty sure this is
> fixed now, and will close this bug now. If it isn't fixed, feel free to reopen.  

Sadly, this is not so, I have 3 FC10 x86_64, all the firefox have the same problem.

ALSA lib pcm_hw.c:1429:(_snd_pcm_hw_open) Invalid value for card
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

ALSA lib pcm_hw.c:1429:(_snd_pcm_hw_open) Invalid value for card
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

ALSA lib pcm_hw.c:1429:(_snd_pcm_hw_open) Invalid value for card
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

ALSA lib pcm_hw.c:1429:(_snd_pcm_hw_open) Invalid value for card
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

ALSA lib pcm_hw.c:1429:(_snd_pcm_hw_open) Invalid value for card
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

ALSA lib pcm_hw.c:1429:(_snd_pcm_hw_open) Invalid value for card
ALSA lib pulse.c:272:(pulse_connect) PulseAudio: Unable to connect: Connection refused

ALSA lib pcm_hw.c:1429:(_snd_pcm_hw_open) Invalid value for card
E: thread-posix.c: Assertion 'pthread_setspecific(t->key, userdata) == 0' failed at pulsecore/thread-posix.c:200, function pa_tls_set(). Aborting.
/usr/lib64/firefox-3.0.6/run-mozilla.sh: line 131: 14393 Aborted                 "$prog" ${1+"$@"}


Above is generated by firefox connected as non-root, while viewing a video from www.youtube.com.   As shown above, message with 1429 keep repeating times, but eventually it will crash, even though firefox is just view ONE single video from www.youtube.com, and almost any video I see, it crashed.

And there is absolutely no sound as well, even when I use totem to view it, but totem will not crash.

Now I switch to root user, and firefox DOES NOT CRASH anymore, and the sound comes out, and using totem to view the video flash in the firefox cache comes with sound too.

So the difference is root vs non-root.   Any clue?

Note You need to log in before you can comment on or make changes to this bug.